1. General program information

 Top Next

1.1. Documentation contents.

1.2. Purpose and basic functions.

1.3. Supported document formats.

1.4. System architecture.

1.5. General work algorithm.

1.6. Unregistered version restrictions.


1.1. Documentation contents

 Top Previous Next

This documentation contains information necessary for installation and operation of ElcomSoft Distributed Password Recovery. The procedures of installation, reinstallation, uninstallation and the concepts of the program and their application method are described. Configuration recommendations are also included.


1.2. Purpose and basic functions

ElcomSoft Distributed Password Recovery is a unique network-based password recovery software for extremely fast and effective restoration of a wide spectrum of documents.

It allows to:

- restore passwords of different documents by means of distributed processing;

- work in local and global networks;

- administer the password recovery server remotely;

- install and uninstall agents to remote computers;

- manipulate agents’ work time and priority;

- launch the agents and the server as system services;

- keep count of machine time;

- keep track of one’s own actions and look through the log if necessary.


1.3. Supported document formats

The program supports the following applications and file formats:

- Word/Excel/PowerPoint XP/2003 (.DOC, .XLS) (password recovery - "open" password only)

- Word/Excel 97/2000 (.DOC, .XLS) (password recovery - "open" password only)

- Word/Excel 97/2000 (.DOC, .XLS) (guaranteed decryption)

- PGP secret key rings (.SKR) (passphrase recovery)

- PGP disks with conventional encryption (.PGD) (password recovery)

- PGP self-decrypting archives (.EXE) (password recovery)

- Personal Information Exchange certificates - PKCS #12 (.PFX, .P12) (password recovery)

- Adobe Acrobat PDF with 128-bit encryption ("user" and "owner" password recovery)

- Adobe Acrobat PDF with 40-bit encryption ("user" and "owner" password recovery)

- Adobe Acrobat PDF with 40-bit encryption (guaranteed decryption)

Support of other document formats is planned for the next versions of the program.


1.4. System architecture

ElcomSoft Distributed Password Recovery is a program complex that consists of 3 main modules: the agent, the server and the console, that can operate independently on different computers in the local or global Internet networks (Fig 1.4).

Figure 1.4 System architecture.

The agent is used for its computer machine time allocation to the server, the latter using it to recover lost or forgotten passwords. The agent connects to its assigned server, delivers the work done (if it has had any), receives the next portion of work, disconnects and starts processing the given task. Periodically, on an average of 60 seconds plus some random amount of seconds, but not more than 60, each agent connects to the server in order to report its state.

The server receives its task from the console and distributes it among the agents.

The console in its turn is designed to manage the server it is connected to and the agents that are registered on the server. The agents are registered on the server when they connect to it for the first time.


1.5. General work algorithm

The server is started up on one of the computers in the network. On any of the computers in the network the console that manages the server is then started up and connected to the already active server. Password recovery task is created on the console.Then the previously installed and started up agents connect to their server, deliver the work done (if they have had any) and receive the next portion of work, after which they disconnect and start processing the given task. Periodically, on an average of 60 seconds plus some random amount of seconds, but not more than 60, each agent connects to the server in order to report its state.


1.6. Unregistered version restrictions

An unregistered version of the program can’t distribute the task among more than 10 agents and show recovered passwords longer than 4 characters.


2. Quick setup, launch and beginning of operation

If you want to quickly start using the program, perform the following:

- launch the setup program (edpr_setup.exe);

- either press «Enter» to answer all the questions concerning the program installation or click the left mouse button on the corresponding default options in the dialogues;

- if necessary, install the agents onto additional computers in the network by following the instructions for quick launch and beginning of operation contained in the agent’s documentation;

- the launched program window will appear; select the New task option on its toolbar;

- in the window that appears, choose the document you want to recover;

- specify the parameters of password recovery;

- press the Start button on the toolbar;

- wait for the results of password recovery;

- register the program if necessary.


3. Program installation and uninstallation

3.1. System requirements.

3.2. First installation.

3.3. Reinstallation.

3.4. Uninstallation.


3.1. System requirements

The following hard- and software is necessary for normal operation of the program:

- 100% IBM compatible PC, Pentium processor (or higher);

- 256 Mb RAM;

- 10 Mb free hard disk space;

- one of the following operation systems: Windows NT 4, Windows 2000, Windows XP, Windows Vista (compatibility with subsequent versions is possible, but not guaranteed)


3.2. First installation

To install ElcomSoft Distributed Password Recovery on your computer follow the instructions:

- launch the “edpr_setup.exe” program;

- choose the preferable interface language and press “OK” (Fig. 3.2.1);

Figure 3.2.1 Installer language selection dialog.

- follow the setup program instructions (Fig. 3.2.2);

Figure 3.2.2 Start Setup Wizard dialog box.

- click “Next” to continue or “Cancel” to quit setup (Fig. 3.2.3);

Figure 3.2.3 Dialog box to confirm the setup quitting.

Figure 3.2.4 License Agreement dialog box.

- click “I Agree” if you accept the license agreement terms; click “Cancel” to terminate the setup process; or “Back” to return to the previous window of the setup program (Fig. 3.2.4);

Figure 3.2.5 Dialog box to choose the components to install.

- choose the components you want to install and click “Next” (Fig. 3.2.5);

Figure 3.2.6 Select the folder to install the program in.

- click “Browse” if you want to change the default folder (Fig. 3.2.6), then select the folder needed and click “Ok” (Fig. 3.2.7), when you have chosen the folder, click “Next” (Fig. 3.2.6);

Figure 3.2.7 Folder selection dialog box.

Figure 3.2.8 Choosing the folder in the program’s Start Menu.

- provide the folder name in the Start Menu dialog box that appears (Fig. 3.2.8). Click “Install”;

Figure 3.2.9 Dialog box to finish the setup process;

- uncheck the box in this dialog box if you don’t want to launch the program the moment you click “Finish” (Fig. 3.2.9);

- click “Finish” to complete the setup process.


3.3. Reinstallation

Reinstallation takes place when you launch the installation program “edpr_setup.exe” while your computer already has this program installed. This procedure can be useful while updating the program; at this all its settings, data- and log-files will be saved.

To reinstall ElcomSoft Distributed Password Recovery on your computer:

- launch the “edpr_setup.exe” program;

- follow the setup program instructions (Fig. 3.2.2);

- click “Next” to continue setup or “Cancel” to quit it (Fig.3.2.3);

- click “I Agree” if you accept the license agreement terms; click “Cancel” to terminate the setup process; or “Back” to return to the previous window of the setup program (Fig. 3.2.4);

- choose the components you want to install and click “Next” (Fig. 3.2.5);

- uncheck the box provided in this dialog box if you don’t want to launch the program the moment you click “Finish” (Fig. 3.2.9);

- click “Finish” to complete the setup process.


3.4. Uninstallation

To uninstall ElcomSoft Distributed Password Recovery from your computer:

- start uninstallation process using the standard means;

- click “Next” in the dialog box that will appear (Fig. 3.4.1);

- uncheck the “also delete log files” box if you don’t want the log files created by the program to be deleted (Fig. 3.4.2);

- uncheck the “also delete data files” box if you don’t want the data files created by the program to be deleted (Fig. 3.4.2);

- click “Uninstall” to begin uninstallation (Fig. 3.4.2);

- click “Finish” to complete uninstallation process (Fig. 3.4.3).

Now the program is uninstalled from your computer.

Figure 3.4.1 Start Uninstall Wizard dialog box.

Figure 3.4.2 Select the components to be deleted and confirm the uninstall operation.

Figure 3.4.3. Completing the program uninstallation.


4. Document Password Recovery

To recover the password of a document you need:

- to create a task;

- - to set up the task parameters (fitting type and character set);

- to launch the task;

- to move the task up in the queue if necessary;

- to wait for the result of the task completion.

The following provides the detailed description of these actions:

4.1. Create Task.

4.2. Task start.

4.3. Sequence of tasks processing.

4.4. Suspend task processing.

4.5. Stop task processing.

4.6. Delete task.

4.7. Export task.

4.8. Import task.

4.9. Task status.


4.1. Create Task

To create a task, select the “New task” option in the server management console toolbar (Fig. 4.1). Choose the document which password you want to recover in the window that will appear and press the “Open” button. Your task will appear in the task list in the “Recovery” window.

Figure 4.1 Create a new task.

Thus the task is created and you can start setting the task properties.

4.1.1. Setting password fitting parameters.

4.1.2. Password character set.

4.1.3. Task comment.

4.1.4. Task processing results.

4.1.5. Field values in the task list.


4.1.1. Setting password fitting parameters

Select the password fitting type in the “Password” tab of task properties (Fig. 4.1.1).

Figure 4.1.1 Password fitting type

Three variants are available:

- password recovery by length

- password recovery by mask

- document decryption by key

Select the minimal and maximal length of the password when using the first option (by length).

When using the second (by mask) input the mask and the mask character if necessary.

The third option needed for guaranteed document decryption.


4.1.2. Password character set

In the “Password” tab of task properties, select “Character Set” as well (Fig. 4.1.2).

Figure 4.1.2 Character set.


4.1.3. Task comment

In the”Comment” tab, the full path to the recovered document is shown by default, but you can change or add here any information.


4.1.4. Task processing results

If the task was completed successfully, the “Result” tab shows the password found. If the program is not registered and the password is longer than four characters, the “Result” tab may not show the password.


4.1.5. Field values in the task list

"object" - file name of the document meant for recovery.

"progress" - the percentage of task processing done.

"elapsed time" - time that has been already spent on the task processing.

"remaining time" - the amount of time supposedly enough for the task completion.

"cur. (avrg.) speed" - the current and average speeds of task processing.

"status" - the current status of the task.


4.2. Task start

To start the task, press the “Start” button on the server management console toolbar (Fig. 4.2), keeping the task selected.

Figure 4.2.3 Task start.


4.3. Sequence of tasks processing

Tasks are processed in turn beginning with the top of the list. You can change the sequence at any moment and in any direction you want including the top and the bottom of the list. It can be done using the corresponding buttons on the toolbar (Fig. 4.3.1).

Figure 4.3.1 Buttons to move the task in the queue.


4.4. Suspend task processing

Task processing can be suspended by using the corresponding button (Fig. 4.4.1). This option may come in useful when, for example, you need to complete a task standing further in the list.

Figure 4.4.1 Suspend Task button.


4.5. Stop task processing

Task processing can be stopped if you, for example, need to restart it with other password fitting parameters. Select the task and press the corresponding button on the toolbar if you want to stop the task processing (Fig. 4.5.1).

Figure 4.5.1 Stop Task Processing Button.


4.6. Delete task

A task can be deleted by pressing the button shown in Fig.4.6.1.

Figure 4.6.1 Task Delete button.


4.7. Export task

Task export option allows you to save the results of task processing into a file. For example, you may need this to transfer task processing results from one server to another with subsequent importing the task into it.

To export a task:

- select it;

- choose the “Export…” command in the “Recovery” menu;

- provide the file name it should be saved in;

- press the “Save” button.


4.8. Import task

Task import is necessary to continue the task processing after it was exported.

To import a task:

- choose the “Import…” command in the “Recovery” menu;

- choose the file containing the previously exported task;

- press the “Open” button;


4.9. Task status

The "status" column shows the status of the task. The following variants are possible:

not started

waiting

in progress

paused

recovered

not recovered

not started - the task was created but not started or it was terminated;

waiting - the task was started, but it hasn’t been processed yet;

in progress - the task is being processed at the moment;

paused - task processing was suspended by the user.

recovered - the task was completed, the password was found

not recovered - the task was completed, but the password was not found.


5. Agents

Under the Agents section, you can observe and change the list of agents registered on the server, their properties and status.

5.1. Agent’s properties.

5.2. Enabling and Disabling agents.

5.3. Removing not-responding agents.

5.4. About local agent.


5.1. Agent’s properties

Agent has the following properties:

- host ip-address

- host name

- performance

- type of administration

- time to live

- status

- working hours

- work priority

- statistics


5.1.1. Host IP-address

IP-address of the host, where the agent works.


5.1.2. Host name

The host name, where the agent works.


5.1.3. Performance

Relative (in percents) performance of the agent.


5.1.4. Type of administration

Agent’s administration can be of two types: local or remote, can be set only on the agent side.

If the agent’s administration type is set to local, then, from the server console, you can only observe the agent’s work hours and work priority; if the administration type is set to remote, then, acting from the server, you can also change the agent’s work hours and work priority.


5.1.5. Time to live

Shows how many minutes ago the agent last connected to the server.


5.1.6. Status

Displays the agent’s current status. The agent’s status can be one of the following and can be changed at any time:

- working – has taken the task and is calculating;

- free – no task for calculation;

- off hours – not working currently;

- not responded – has not connected during the assigned life time;

- disabled – is blocked by the user, cannot receive tasks.


5.1.7. Work hours

If the agent is administered remotely, you can set particular work hours for it, both for all week days and for each separate day. To do this, on the Restictions tab in the agent’s properties, select the week day, for which you intend to set the work hours, or "all days” option, and check the needed hours (Fig. 5.1.7). You can use “Select all”, “Deselect all” options, to check/uncheck all work hours for the corresponding day or for all days.

Figure 5.1.7. Agent’s work hours.


5.1.8. Work priority

Priority of calculations performed by the program, in relation to other working programs.

The default priority is set to Normal, or “ordinary system”, which means that the program will use the processor only when it is not needed by the other programs.

If, for example, you set the priority to Normal, and run some “heavy” process along with the agent, they will divide the processor equally.

The priority can be changed only if the agent is administered remotely.

Figure 5.1.8 Agent’s work priority


5.1.9. Statistics

In the Statistics tab, in the agent’s properties, registered is statistics about the number of tried passwords, keys and the processor time spent on that. Statistics is counted per current day, week, month and for all time elapsed after the previous statistics has been reset.


5.2. Enabling and Disabling agents

If you do not want some of the agents to take and perform work, you can disable it, by selecting this agent and choosing the “Disable” command on the toolbar. You can always enable it later, by selecting and pressing on the “Enable” command on the toolbar. (Fig. 5.2.2)

Figure 5.2.1. Disable agent command

Figure 5.2.2. Enable agent command


5.3. Removing not-responding agents

If the agent has the “not responded” status and you think that it will not connect to the server, you can remove it from the agent’s list, by using the “Remove not responded” command from the Agent menu.


5.4. About local agent

Local agent is not otherwise different from remote agents except for it works on the same machine with the server. Local agent is set for the connection with the local server from the very start, and doesn’t need any additional settings. For more detailed information about agent’s settings please see the corresponding documentation.


6. Connection settings

The "Connection” dialog box allows you to see and change the settings for the agent-server and console-server connections.

6.1. Agents connection.

6.2. Console connection.


6.1. Agents connection

Settings for agents connection are located under the Agents group (Fig. 6.1).

Figure 6.1. Agents connection.

6.1.1. Agents TCP-port.

6.1.2. Agents time to live.


6.1.1. Agents TCP-port

TCP-port on which the server waits for agents connections. The default port is 12121. If you want to reset the port setting to its default value, press the Reset button. Changing this option requires to restart the server.


6.1.2. Agents time to live

Agent's time to live sets the time after which, in case the agent has not connected, it passes to the “not responded” status and its work will be distributed between other agents.


6.2. Console connection

The console connection settings are located under the "Console” group (Fig.6.2.1).

Fig. 6.2.1 Console connection.

6.2.1. Console TCP-port.

6.2.2. Remote server administration.

6.2.3. Remote server administration password.


6.2.1. Console TCP-port

TCP-port on which the server waits for the agents connections. The default port setting is 12122. If you want to reset the port setting to its default value, press the “Reset” button. Changing this option requires to restart the server.


6.2.2. Remote server administration

Selecting this option will allow connection to the server from another computer in the network, using the remote console. This option cannot be changed from the remote console.


6.2.3. Remote server administration password

Access to the server from the remote console can be protected by a password. To set or change the password, press the “Change Password” button and enter the password in the dialog that appears (Fig.6.2.3).

Fig. 6.2.3 Changing the password.


7. Sending e-mail notifications (Alerts)

You can set the server to send e-mail notifications, or alerts, on certain events.

In order to send alerts, turn on the “Send Alerts” option under the “Alerts” section, adjust the sending conditions, then adjust the message and SMTP-server parameters.

7.1. Sending conditions.

7.2. Message parameters.

7.3. SMTP-server parameters.

7.4. Sending a test message.


7.1. Sending conditions

The sending condition can be one of the following events:

- password recovery has succeeded

- password recovery has not succeeded

- agent is not responding

- agent is not working.

In case of these events, e-mail notifications will be sent.

Sending of each type of alert is turned on by selecting the corresponding option (Fig.7.1.1).

Figure .7.1.1 Sending conditions for notifications.


7.2. Message parameters

The message parameters define from where and to whom the message will be sent, as well as the limit for the number of messages sent per day (Fig. 7.2).

Figure 7.2. Message parameters.


7.3. SMTP-server parameters

SMTP-server parameters define the e-mail server host and port, as well as the user name and password, if required (Fig.7.3).

Figure 7.3. SMTP-server parameters.

Enter the host name or SMTP server IP address into the Host field, enter SMTP server port number into the TCP Port field, if it is different from standard value. If authentication is required to access the server, check the “Use Name and Password” option and enter the user name and password into appropriate fields.


7.4. Sending a test message

After you have set the message parameters and SMTP server parameters, and the console is currently connected to the server, you can send a text message, by pressing the "Send Test Message” button, to check that the settings have been done correctly.


8. Log settings

The “Log” section allows you to flexibly control the console and server logging systems.

8.1. Maintaining the log.

8.2. Viewing the log.

8.3. Cleaning the log.

8.4. Details level.

8.5. Log size limit.

8.6. Setting the log file name.


8.1. Maintaining the log

Check the “Enable Log” option, to create the log file for the program.


8.2. Viewing the log

Press the “View Log” button, to view the log contents. If the log is too large, and a standard viewing program has difficulties when displaying the log, use another viewing program, by opening with it the file indicated in the File Name field. The “View Log” button will be disabled if you are connected to the remote server.


8.3. Cleaning the log

Press the “Clear Log” button, to remove all records from the log and confirm that you really want to do this.


8.4. Details level

There are three details levels for the log: all possible messages – for debugging mode, Informationen, warnungen und fehler – default detail setting; Nur Fehler - if you do not want to record the program actions, except for the cases, when some errors occur. The details level is set by the checking the corresponding option (Fig. 8.4).

Figure 8.4. Log details level.


8.5. Log size limit

In order the log not to consume all space available on the disc, you can restrict its maximum size, at reaching this limit, the log will be cleaned and recorded anew.

To limit the log size, select the corresponding option and set the log maximum size in KB.


8.6. Setting the log file name

The file name for the log is set in the “File Name” field.


9. Applying the changed settings

In order some changed settings come into effect, they must be applied. For that, press the “Apply” button on the toolbar. (Fig. 9.1).

Figure 9.1. The Apply button for the changed settings.

Also you can use the opportunity to undo and redo the settings. For that, use the corresponding buttons on the tool bar (Fig.9.2).

Figure 9.2. Undo and redo settings.


10. Updating information from the server

The default setting for updating console information from the server is 20 seconds, but you can change this time and even update the information immediately.

In order to change the update time, enter into the “View” menu, then “Update Speed” dialog and set the needed speed. The update speed can be one of the following:

- high (each 5 seconds);

- normal (each 10 seconds);

- low (each 20 seconds);

- lowest (each 40 seconds)

In order to update information on tasks or agents, press the “Refresh” button on the toolbar (Fig.10.1).

Figure 10.1. Updating information from server


11. Server management

The server management commands are located in the “Server” menu. Using them, you can select the server to work with, as well as start and stop the local server (Fig.11).

Figure 11. Server management commands.

11.1. Select server.

11.2. Start and stop local server.


11.1. Select server

To connect the console to another server, use the “Select..”. command from the “Server” menu, then, in the dialog that appears, enter the server access password (if it has been set on the server), indicate the server name or IP address and press “OK”.

In case of successful connection you can manage the selected server. If the connection has failed – check the entered server requisites for correctness.

Remember that only one management console can be connected to the server at a time, and the local server settings can be changed only when it is not started.

Figure 11.1. Selecting server.


11.2. Start and stop local server

Using the management console, you can start and stop the local server, define its type.

To start server as a usual application, use the “Start As Application” command from the “Server” menu. To start server as a service, use the “Start As Service” command from the “Server” menu.

To restart the server, use the “Restart” command from the “Server” menu.

To stop the server, use the “Stop” command from the “Server” menu.


12. Management console interface settings

The console interface settings can be changed in the “View” menu. (Fig.12).

Figure 12. The View menu

By using the “Toolbar” setting, you can turn on/off the toolbar display.

By using the “Status Bar” setting, you can turn on/off the Status Bar display

Using the “View Bar Icons” menu, you can select the optimal size of icons in the View Bar.

In the “Interface Language” menu, you can select the language for displaying the console and the program log files.


13. Entering and viewing Registration Code

In the “Help” menu, run the “Registration Code” command, then, in the dialog that appears, enter the registration code and press “OK” (Fig.14.1).

Figure 14.1. Program registration

In case of successful registration you will see the message shown in the Fig.14.2.

Figure 14.2. Successful registration.

If you have entered an erroneous registration code, you will see the message shown in the Figure 14.3. You will have to enter the code repeatedly.

Figure 14.3. Invalid registration code.


14. License Agreement

END USER LICENSE AGREEMENT

NOTICE TO USER:

THIS IS AN AGREEMENT GOVERNING YOUR USE OF ELCOMSOFT SOFTWARE, FURTHER DEFINED HEREIN AS “PRODUCT,” AND THE LICENSOR OF THE PRODUCT IS WILLING TO PROVIDE YOU WITH ACCESS TO THE PRODUCT ONLY ON THE CONDITION THAT YOU ACCEPT ALL OF THE TERMS AND CONDITIONS CONTAINED IN THIS AGREEMENT. BELOW, YOU ARE ASKED TO ACCEPT THIS AGREEMENT AND CONTINUE TO INSTALL OR, IF YOU DO NOT WISH TO ACCEPT THIS AGREEMENT, TO DECLINE THIS AGREEMENT, IN WHICH CASE YOU WILL NOT BE ABLE TO INSTALL OR OPERATE THE PRODUCT. BY INSTALLING THIS PRODUCT YOU ACCEPT ALL THE TERMS AND CONDITIONS OF THIS AGREEMENT.

This Electronic End User License Agreement (the “Agreement”) is a legal agreement between you (either an individual or an entity), the licensee, and ElcomSoft Co. Ltd. and its affiliates (collectively, the “Licensor”), regarding the Licensor’s software, as applicable pursuant to a valid license, you are about to download and/or other related services, including without limitation a) all of the contents of the files, disk(s), CD-ROM(s) or other media with which this Agreement is provided and including all forms of code, such as source code and object code, (the “Software”), b) all successor upgrades, modified versions, modified modules, revisions, patches, enhancements, fixes, modifications, copies, additions or maintenance releases of the Software, if any, licensed to you by the Licensor (collectively, the “Updates”), and c) related user documentation and explanatory materials or files provided in written, “online” or electronic form (the “Documentation” and together with the Software and Updates, the “Product”). You are subject to the terms and conditions of this End User License Agreement whether you access or obtain the Product directly from the Licensor, or through any other source. For purposes hereof, “you” means the individual person installing or using the Product on his or her own behalf; or, if the Product is being downloaded or installed on behalf of an organization, such as an employer, “you” means the organization for which the Product is downloaded or installed, then the person accepting this agreement represents hereby that such organization has authorized such person to accept this agreement on the organization’s behalf. For purposes hereof the term “organization,” without limitation, includes any partnership, limited liability company, corporation, association, joint stock company, trust, joint venture, labor organization, unincorporated organization, or governmental authority.

By accessing, storing, loading, installing, executing, displaying, copying the Product into the memory of a Client Device, as defined below, or otherwise benefiting from using the functionality of the Product (“Operating”), you agree to be bound by the terms and conditions of this Agreement. If you do not agree to the terms and conditions of this Agreement, the Licensor is unwilling to license the Product to you. In such event, you may not Operate or use the Product in any way.

BEFORE YOU “I AGREE” BUTTON”, PLEASE CAREFULLY READ THE TERMS AND CONDITIONS OF THIS AGREEMENT, AS SUCH ACTIONS ARE A SYMBOL OF YOUR SIGNATURE AND BY CLICKING ON THE “I AGREE” BUTTON, YOU ARE CONSENTING TO BE BOUND BY AND ARE BECOMING A PARTY TO THIS AGREEMENT AND AGREE THAT THIS AGREEMENT IS ENFORCEABLE LIKE ANY WRITTEN NEGOTIATED AGREEMENT SIGNED BY YOU. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE “CANCEL” BUTTON AND THE PRODUCT WILL NOT BE INSTALLED ON YOUR CLIENT DEVICE, AS SUCH TERM IS DEFINED BELOW. For your reference, you may refer to the copy of this Agreement that can be found in the Help for the Software. You may also receive a copy of this Agreement by contacting Licensor at: info@elcomsoft.com.

1. Proprietary Rights and Non-Disclosure.

1.1. Ownership Rights. You agree that the Product and the authorship, systems, ideas, methods of operation, documentation and other information contained in the Product, are proprietary intellectual properties and or the valuable trade secrets of the Licensor and are protected by civil and criminal law, and by the law of copyright, trade secret, trademark and patent of the Russian federation, other countries and international treaties. You may use trademarks only insofar as to identify printed output produced by the Product in accordance with accepted trademark practice, including identification of trademark owner’s name. Such use of any trademark does not give you any rights of ownership in that trademark. The Licensor and its suppliers own and retain all right, title, and interest in and to the Product, including without limitations any error corrections, enhancements, Updates or other modifications to the Software, whether made by Licensor or any third party, and all copyrights, patents, trade secret rights, trademarks, and other intellectual property rights therein. Your possession, installation or use of the Product does not transfer to you any title to the intellectual property in the Product, and you will not acquire any rights to the Product except as expressly set forth in this Agreement. All copies of the Product made hereunder must contain the same proprietary notices that appear on and in the Product. Except as stated herein, this Agreement does not grant you any intellectual property rights in the Product and you acknowledge that the license granted under this Agreement only provides you with a right of limited use under the terms and conditions of this Agreement.

1.2. Source Code and Modifications. You acknowledge that the source code for the Product is proprietary to the Licensor and constitutes trade secrets of the Licensor. You agree not to modify, or create derivative works based upon the Product in whole or in part nor reverse engineer, decompile, disassemble the source code of the Product in any way.

1.3. Registration Code File and Confidential Information. You agree that, unless otherwise specifically provided herein or agreed by the Licensor in writing, the Product, including the specific design and structure of individual programs and the Product, including without limitation the Registration Code File provided to you by the Licensor and/or its authorized resellers or distributors, constitute confidential proprietary information of the Licensor. For purposes hereof, “Registration Code” shall mean a unique key identification file or a combination of unique electronic characters provided to you by the Licensor confirming the purchase of the license from the Licensor, which may carry the information about the license and the number of permitted users, and enabling the full functionality of the Product in accordance with the license granted under this Agreement. You agree not to transfer, copy, disclose, provide or otherwise make available such confidential information in any form to any third party without the prior written consent of the Licensor. You agree to implement reasonable security measures to protect such confidential information, but without limitation to the foregoing, shall use best efforts to maintain the security of the Registration Code provided to you by the Licensor and/or its authorized resellers or distributors.

2. Grant of License.

2.1. License. The Licensor grants you the following rights (“License”) and you hereby agree and accept such License:

a). Trial Version. If you have received, downloaded and/or installed a trial version of the Product and are hereby granted an evaluation license for the Software and you may Operate the Product only for evaluation purposes and only during the single applicable evaluation period of thirty (30) days, unless otherwise indicated, from the date of the initial installation. Following this test period of thirty (30) days or less, if you wish to continue to use the Product, you must register. To register you have to pay for the fully functional version. Upon payment we provide the Registration Code to you. Any use of the Product for other purposes or beyond the applicable evaluation period is strictly prohibited, provided however that, subject to the restrictions contained herein, you may copy and distribute a trial version of the Software without any modifications whatsoever to any third party subject to this Agreement and further provided that you have no technical support rights during the trial period. The unregistered (trial) version may be freely distributed, provided that the distribution package is not modified. No person or company may charge a fee for the distribution of the Product without written permission from the copyright holder.

b). Grant of License. Unless otherwise specifically indicated under a valid license (e.g. volume license) granted by the Licensor, once registered you are granted a non-exclusive and non-transferable license to install one (1) copy of the Product and during the term of your license, subject to the payment of the applicable fees and your compliance with the terms hereof, this Agreement permits you or any of your employees to Operate one copy of the specified version of the Product, for internal purposes only, on one computer, workstation, or other electronic device of which the software was designed (each a “Client Device”). If you have purchased multiple licenses for the Product, then the number of multiple licenses shall determine the number of copies of the Product you may have and the number of Client Devices on which you may Operate the Product. If the Product is licensed as a suite or bundle with more than one specified software product, this license applies to all such specified software products, subject to any restrictions or usage terms specified on the applicable price list or product packaging that apply to any of such software products individually. Additionally, Licensor reserves the right to provide for specific terms and conditions in the purchased licenses and such terms may be embedded in Registration Code specifying other terms, conditions and restrictions of Operating of the Product. The Licensor reserves all rights not expressly granted herein.

c). Limitations on Personal License. With the purchase of a personal License, the Licensee may operate the Product as set forth in the Agreement for non-commercial purposes in a non-business or non-commercial environment. Use of the Product in a corporate, governmental or business environment requires the purchase of a business license.

d). Site License. With the acquisition of a Site License, the Licensee may install and use the Product on an unlimited amount of CPUs within one office in one geographic location. Within these limitations, the Licensee may install the Product as a “Network” Product and run the software from any networked computer on your LAN, provided those computers are located exclusively within one office at one geographic location.

e). Volume Use. If the Product is licensed with volume license terms specified in the applicable product invoicing or packaging for the Product, you may make use and install as many additional copies of the Product on the number of Client Devices as the volume license terms specify. You must have a reasonable mechanism in place to ensure that the number of Client Devices on which the Product has been installed does not exceed the number of licenses you have obtained.

f). Multiple Environment Product; Multiple Language Product; Dual Media Product; Multiple Copies; Bundles. If the Product supports multiple platforms or languages, if you receive the Product on multiple media, if you otherwise receive multiple copies of the Product, or if you received the Product bundled with other software, the total number of your Client Devices on which all versions of the Product are installed may not exceed the number of licenses you have obtained from the Licensor. You may not rent, lease, sublicense, lend or transfer any versions or copies of the Product you do not use.

2.2. Back-up Copies. You can make one (1) copy the Product for backup and archival purposes, provided, however, that the original and each copy is kept in your possession or control, and that your installation and use of the Product does not exceed that which is allowed in this Section 2.

2.3. Prohibitions. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this Agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. Neither ElcomSoft binary code nor source may be used or reverse engineered to re-create the program algorithm, which is proprietary, without written permission of Licensor. All rights not expressly granted here are reserved by ElcomSoft Co. Ltd.

2.4. Special Provisions Applicable to Password Recovery Programs. The Licensor has a strict return policy due to the nature of our products. If the software is unable to recover (or remove, or change) a password, a copy of the unrecovered file must be sent to the Licensor for evaluation. If the password is recovered, you will be either able to keep the software and receive the password to the file (or unprotected copy of the file), or refund can be made and the end user will need to pay for the in-house recovery in order to receive the password. If the Licensor is unable to recover the password, a full refund will be made. This subsection is applicable only to situations when password recovery or removal is guaranteed without brute-force or dictionary attacks.

2.5. Registration Code. Registration Code provided by the Licensor constitutes the confidential proprietary information of the Licensor. ElcomSoft Registration Code file may not be distributed, except as stated herein, outside of the area of legal control of the person or persons who purchased the original license, without written permission of the copyright holder. You may not give away, sell or otherwise transfer your Registration Code to a third party. Doing so will result in an infringement of copyright. ElcomSoft Co. Ltd retains the right of claims for compensation in respect of damage which occurred by your giving away the registration code. This claim shall also extend to all costs which ElcomSoft Co. Ltd incurs in defending itself.

2.6. Transfers. Under no circumstances shall Licensee sell, rent, lease, license, sublicense, publish, display, distribute, or otherwise transfer to a third party the Software, any copy thereof, in whole or in part, without Licensor's prior written consent, unless otherwise provided for in this Agreement.

2.7. Acceptance of Licensing Terms. Installing and using the Product signifies acceptance of these terms and conditions of the License. If you do not agree with the terms of the license you must remove all Product files from your storage devices, including any back-up or archival copy, and cease to use the Product.

2.8. Material Terms and Conditions. Licensee specifically agrees that each of the terms and conditions of this Section 2 are material and that failure of Licensee to comply with these terms and conditions shall constitute sufficient cause for Licensor to immediately terminate this Agreement and the License granted under this Agreement. The presence of this Section 2.7 shall not be relevant in determining the materiality of any other provision or breach of this Agreement by either party.

2.9. Term and Termination. The term of this Agreement (“Term”) shall begin when you download, access or install the Product or pay the applicable license fees (whichever is earlier) and shall continue for the term specified in your order. Without prejudice to any other rights, this Agreement will terminate automatically if you fail to comply with any of the limitations or other requirements described herein. Upon any termination or expiration of this Agreement, you must immediately cease use of the Product and destroy all copies of the Product.

2.10. No Rights Upon Termination. Upon termination of this Agreement you will no longer be authorized to Operate or use the Product in any way.

3. Support and Updates.

3.1. Terms of Support. During the one-year period you are entitled to technical services and support for the Product which is provided to you by Licensor during the regular business hours (GMT+ 03:00), except for locally-observed holidays, and includes the support provided through a special technical support section of the Licensor’s site (the “Site”) and email support@elcomsoft.com. During such period of one year e-mail support is unlimited and includes technical and support questions and patch fixes.

3.2. Updates. During the one-year period, you may download Updates to the Product when and as the Licensor publishes them on the Site, or through other online services. If the Product is an Update to a previous version of the Product, you must possess a valid license to such previous version in order to use the Update. You may continue to use the previous version of the Product on your Client Device after you receive the Update to assist you in the transition to the Update, provided that: (i) the Update and the previous version are installed on the same Client Device; (ii) the previous version or copies thereof are not transferred to another party or Client Device unless all copies of the Update are also transferred to such party or Client Device; (iii) you acknowledge that any modification that you made to the Product may be lost, altered, distorted or destroyed rendering such modifications, Product or the part thereof inoperable or non-usable; and (iv) you acknowledge that any obligation the Licensor may have to support the previous version of the Product may be ended upon availability of the Update. Except for the rights to free Updates during the one-year period, as further defined herein, nothing in this Agreement shall be construed as to grant you any rights or licenses with regard to the new releases of the Product or to entitle you to any new release. This Agreement does not obligate the Company to provide any Updates. Notwithstanding the foregoing, any Updates that you may receive become part of the Product and the terms of this Agreement apply to them (unless this Agreement is superseded by a succeeding agreement accompanying such Update or modified version of the Product).

4. Restrictions.

4.1. No Transfer of Rights. You may not transfer any rights pursuant to this Agreement nor rent, sublicense, lease, loan or resell the Product. You may not permit third parties to benefit from the use or functionality of the Product via a timesharing, service bureau or other arrangement, except to the extent such use is specified in the application price list, purchase order or product packaging for the Product. Except as otherwise provided in Section 1.2 hereof, you may not, without the Licensor’s prior written consent, reverse engineer, decompile, disassemble or otherwise reduce any party of the Product to human readable form nor permit any third party to do so, except to the extent the foregoing restriction is expressly prohibited by applicable law. Notwithstanding the foregoing sentence, decompiling the Software is permitted to the extent the laws of your jurisdiction give you the right to do so to obtain information necessary to render the Software interoperable with other software; provided, however, that you must first request such information from the Licensor and the Licensor may, in its discretion, either provide such information to you (subject to confidentiality terms) or impose reasonable conditions, including a reasonable fee, on such use of the Software to ensure that the Licensor's and its affiliates’ proprietary rights in the Software are protected. Except for the modification permitted under Section 1.2, you may not modify, or create derivative works based upon the Product in whole or in part.

4.2. Proprietary Notices and Copies. You may not remove any proprietary notices or labels on the Product. You may not copy the Product except as expressly permitted in Section 2 above.

4.3. Compliance with Law. You agree that in Operating the Product and in using any report or information derived as a result of Operating this Product, you will comply with all applicable international, national, state, regional and local laws and regulations, including, without limitation, privacy, trademark, patent, copyright, export control and obscenity law and you shall not use the Product for unethical or illegal business practices or in violation of any obligation to a third party in using, operating, accessing or running any of the Product and shall not knowingly assist any other person or entity to so violate any obligation to a third party.

4.4. Additional Protection Measures. Solely for the purpose of preventing unlicensed use of the Product, the Software may install on your Client Device technological measures that are designed to prevent unlicensed use, and the Licensor may use this technology to confirm that you have a licensed copy of the Product. The update of these technological measures may occur through the installation of the Updates. The Updates will not install on unlicensed copies of the Product. If you are not using a licensed copy of the Product, you are not allowed to install the Updates. The Licensor will not collect any personally identifiable information from your Client Device during this process.

5. WARRANTIES AND DISCLAIMERS.

5.1. Limited Warranty. The Licensor warrants that for 90 days (the “Warranty Period”) from the date the Registration Code is provided to you by Licensor, the media on which Product has been provided will be free from defects in materials and workmanship and that the Software will perform substantially in accordance with the Documentation or generally conform to the Product’s specifications published by the Licensor. Non-substantial variations of performance from the Documentation do not establish a warranty right. THIS LIMITED WARRANTY DOES NOT APPLY TO UPDATES AS APPLIED TO ANY MODIFIED PRODUCT, WHETHER OR NOT SUCH MODIFICATION IS PERMISSIBLE HEREUNDER, TRIAL AND EVALUATION VERSIONS, UPDATES, PRE-RELEASE, TRYOUT, PRODUCT SAMPLER, OR NOT FOR RESALE (NFR) COPIES OF PRODUCT. This limited warranty is void and your support right terminate if the defect has resulted from accident, abuse, or misapplication or any modification, whether or not such modification is permitted hereunder. No warranty is made as to the integrity, protection or safekeeping of any modification to the Products made by you upon installation of any of the Updates. To make a warranty claim, you must return the Product to the location where you obtained it along with proof of purchase within such sixty (60) day period of the license fee you paid for the Product. THE LIMITED WARRANTY SET FORTH IN THIS SECTION GIVES YOU SPECIFIC LEGAL RIGHTS. YOU MAY HAVE ADDITIONAL RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

5.2. Customer Remedies. The Licensor and its suppliers’ entire liability and your exclusive remedy for any breach of the foregoing warranty shall be at the Licensor’s option: (i) return of the purchase price paid for the license, if any, (ii) replacement of the defective media in which the Product is contained, or (iii) correction of the defects, “bugs” or errors within reasonable period of time. You must return the defective media to the Licensor at your expense with a copy of your receipt. Any replacement media will be warranted for the remainder of the original warranty period.

5.3. NO OTHER WARRANTIES. EXCEPT FOR THE FOREGOING LIMITED WARRANTY, AND FOR ANY WARRANTY, CONDITION, REPRESENTATION OR TERM TO THE EXTENT TO WHICH THE SAME CANNOT OR MAY NOT BE EXCLUDED OR LIMITED BY LAW APPLICABLE TO YOU IN YOUR JURISDICTION, THE PRODUCT IS PROVIDED “AS-IS” WITHOUT ANY WARRANTY WHATSOEVER AND THE LICENSOR MAKES NO PROMISES, REPRESENTATIONS OR WARRANTIES, WHETHER EXPRESSED OR IMPLIED, WHETHER BY STATUTE, COMMON LAW, CUSTOM, USAGE OR OTHERWISE, REGARDING OR RELATING TO THE PRODUCT OR CONTENT THEREIN OR TO ANY OTHER MATERIAL FURNISHED OR PROVIDED TO YOU PURSUANT TO THIS AGREEMENT OR OTHERWISE. YOU ASSUME ALL RISKS AND RESPONSIBILITIES FOR SELECTION OF THE PRODUCT TO ACHIEVE YOUR INTENDED RESULTS, AND FOR THE INSTALLATION OF, USE OF, AND RESULTS OBTAINED FROM THE PRODUCT. THE LICENSOR MAKES NO WARRANTY THAT THE PRODUCT WILL BE ERROR FREE OR FREE FROM INTERRUPTION OR FAILURE, OR THAT IT IS COMPATIBLE WITH ANY PARTICULAR HARDWARE OR SOFTWARE. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, LICENSOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, NON-INFRINGEMENT OF THIRD PARTY RIGHTS, INTEGRATION, SATISFACTORY QUALITY OR FITNESS FOR ANY PARTICULAR PURPOSE WITH RESPECT TO THE PRODUCT AND THE ACCOMPANYING WRITTEN MATERIALS OR THE USE THEREOF. SOME JURISDICTIONS DO NOT ALLOW LIMITATIONS ON IMPLIED WARRANTIES, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU. YOU HEREBY ACKNOWLEDGE THAT THE PRODUCT MAY NOT BE OR BECOME AVAILABLE DUE TO ANY NUMBER OF FACTORS INCLUDING WITHOUT LIMITATION PERIODIC SYSTEM MAINTENANCE, SCHEDULED OR UNSCHEDULED, ACTS OF GOD, TECHNICAL FAILURE OF THE SOFTWARE, TELECOMMUNICATIONS INFRASTRUCTURE, OR DELAY OR DISRUPTION ATTRIBUTABLE TO VIRUSES, DENIAL OF SERVICE ATTACKS, INCREASED OR FLUCTUATING DEMAND, AND ACTIONS AND OMISSIONS OF THIRD PARTIES. THEREFORE, THE LICENSOR EXPRESSLY DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY REGARDING SYSTEM AND/OR SOFTWARE AVAILABILITY, ACCESSIBILITY, OR PERFORMANCE. THE LICENSOR DISCLAIMS ANY AND ALL LIABILITY FOR THE LOSS OF DATA DURING ANY COMMUNICATIONS AND ANY LIABILITY ARISING FROM OR RELATED TO ANY FAILURE BY THE LICENSOR TO TRANSMIT ACCURATE OR COMPLETE INFORMATION TO YOU.

5.4. LIMITED LIABILITY; NO LIABILITY FOR CONSEQUENTIAL DAMAGES. YOU ASSUME THE ENTIRE COST OF ANY DAMAGE RESULTING FROM YOUR USE OF THE PRODUCT AND THE INFORMATION CONTAINED IN OR COMPILED BY THE PRODUCT, AND THE INTERACTION (OR FAILURE TO INTERACT PROPERLY) WITH ANY OTHER HARDWARE OR SOFTWARE WHETHER PROVIDED BY THE LICENSOR OR A THIRD PARTY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL THE LICENSOR OR ITS SUPPLIERS OR LICENSORS BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, LOSS OF DATA, LOSS OF GOODWILL, WORK STOPPAGE, HARDWARE OR SOFTWARE DISRUPTION IMPAIRMENT OR FAILURE, REPAIR COSTS, TIME VALUE OR OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE PRODUCT, OR THE INCOMPATIBILITY OF THE PRODUCT WITH ANY HARDWARE SOFTWARE OR USAGE, EVEN IF SUCH PARTIES HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL LICENSOR’S TOTAL LIABILITY TO YOU FOR ALL DAMAGES IN ANY ONE OR MORE CAUSE OF ACTION, WHETHER IN CONTRACT, TORT OR OTHERWISE EXCEED THE AMOUNT PAID BY YOU FOR THE PRODUCT. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY TO THE EXTENT THAT APPLICABLE LAW PROHIBITS SUCH LIMITATION. FURTHERMORE, BECAUSE SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

6. Indemnification

6.1. Indemnification for Violations. Your Operating of the Product, your accessing your account with Licensor and your entering into this Agreement constitutes your consent and agreement to defend, indemnify and hold harmless Licensor and its affiliated companies, employees, contractors, officers and directors from any claim or demand, including reasonable attorney’s fees arising out of your use of the Product in violation of this Agreement.

SPECIAL PROVISION APPLICABLE TO U.S. PERSONS AND ENTITIES.

7. U.S. Government-Restricted Rights.

7.1. Notice to U.S. Government End Users. The Product and accompanying Documentation are deemed to be “Commercial Items,” as that term is defined at 48 C.F.R. par. 2.101, consisting of “Commercial Computer Software” and “Commercial Computer Software Documentation,” respectively, as such terms are used in 48 C.F.R. par. 12.212 or 48 C.F.R. par. 227.7202, as applicable. Consistent with 48 C.F.R. par. 12.212 or 48 C.F.R. par. 227.7202-1 through 227.7202-4, as applicable, the Commercial Computer Software and Commercial Computer Software Documentation are being licensed to U.S. Government end users (a) only as Commercial Items and (b) with only those rights, including any use, modification, reproduction, release, performance, display or disclosure of the Product and accompanying Documentation, as are granted to all other end users pursuant to the terms and conditions herein. Unpublished-rights reserved under the copyright laws of the United States.

7.2. Export Restrictions. You acknowledge and agree that the Product may be subject to restrictions and controls imposed by the Export Administration Act and the Export Administration Regulations of the United States (the “Acts”). You agree and certify that neither the Product nor any direct product thereof is being or will be used for any purpose prohibited by the Acts. You may not Operate, download, export, or re-export the Product (a) into, or to a national or resident of, any country to which the United States has embargoed goods, or (b) to anyone on the United States Treasury Department’s list of Specially Designated Nationals or the U.S. Commerce Department’s Table of Deny Orders. By downloading or using the Product, you are representing and warranting that you are not located in, under the control of, or a national or resident of any such country or on any such list. You acknowledge that it is your sole responsibility to comply with any and all government export and other applicable laws and that the Licensor has no further responsibility for such after the initial license to you. You warrant and represent that neither the U.S. Commerce Department, Bureau of Export Administration nor any other U.S. federal agency has suspended, revoked or denied your export privileges.

8. Your Information and the Licensor’s Privacy Policy

8.1. Privacy Policy. You acknowledge receipt of and agree to the Licensor’s privacy statement which is made available to you in connection with installation and is set forth in full at http://www.elcomsoft.com/privacy.html. You hereby expressly consent to the Licensor’s processing of your personal data (which may be collected by the Licensor or its distributors) according to the Licensor’s current privacy policy as of the date of the effectiveness hereof which is incorporated into this Agreement by reference. By entering into this Agreement, you agree that the Licensor may collect and retain information about you, including your name and email address. The Licensor employs other companies and individuals to perform certain functions on its behalf. Examples include fulfilling orders, delivering packages, sending postal mail and e-mail, removing repetitive information from customer lists, analyzing data, providing marketing assistance, processing credit card payments, and providing customer service. They have access only to personal information needed to perform their functions, but may not use it for other purposes. The Licensor publishes a privacy policy on its web site and may amend such policy from time to time in its sole discretion. You should refer to the Licensor’s privacy policy prior to agreeing to this Agreement for a more detailed explanation of how your information will be stored and used by the Licensor. If “you” are an organization, you will ensure that each member of your organization (including employees and contractors) about whom personal data may be provided to the Licensor has given his or her express consent to the Licensor’s processing of such personal data. Personal data will be processed by the Licensor or its distributors in the country where it was collected.

8.2. Public Announcements. The Licensor may identify you to the public as a customer of the Licensor and describe in a customer case study the services and solutions delivered by the Licensor to you. The Licensor may also issue one or more press releases, containing an announcement of the execution and delivery of this Agreement and/or the implementation of the Product by you. Nothing contained in this Section shall be construed as an obligation by you to disclose any of your proprietary or confidential information to any third party. In addition, you may opt-out from this Section by writing an opt-out request to the Licensor at info@elcomsoft.com.

9. Miscellaneous.

9.1. Governing Law; Jurisdiction and Venue. This Agreement shall be governed by and construed and enforced in accordance with the laws of the Russian Federation without reference to conflicts of law rules and principles. To the extent permitted by law, the provisions of this Agreement shall supersede any provisions of the Uniform Commercial Code as adopted or made applicable to the Products in any competent jurisdiction. This Agreement shall not be governed by the United Nations Convention on Contracts for the International Sale of Goods, the application of which is expressly disclaimed and excluded. The courts within the Russian Federation shall have exclusive jurisdiction to adjudicate any dispute arising out of this Agreement. You agree that this Agreement is to be performed in the Russian Federation and that any action, dispute, controversy, or claim that may be instituted based on this Agreement, or arising out of or related to this Agreement or any alleged breach thereof, shall be prosecuted exclusively in the courts in of the Russian Federation and you, to the extent permitted by applicable law, hereby waive the right to change venue to any other state, county, district or jurisdiction; provided, however, that the Licensor as claimant shall be entitled to initiate proceedings in any court of competent jurisdiction.

9.2. Period for Bringing Actions. No action, regardless of form, arising out of the transactions under this Agreement, may be brought by either party hereto more than one (1) year after the cause of action has occurred, or was discovered to have occurred, except that an action for infringement of intellectual property rights may be brought within the maximum applicable statutory period.

9.3. Entire Agreement; Severability; No Waiver. This Agreement is the entire agreement between you and Licensor and supersedes any other prior agreements, proposals, communications or advertising, oral or written, with respect to the Product or to subject matter of this Agreement. You acknowledge that you have read this Agreement, understand it and agree to be bound by its terms. If any provision of this Agreement is found by a court of competent jurisdiction to be invalid, void, or unenforceable for any reason, in whole or in part, such provision will be more narrowly construed so that it becomes legal and enforceable, and the entire Agreement will not fail on account thereof and the balance of the Agreement will continue in full force and effect to the maximum extent permitted by law or equity while preserving, to the fullest extent possible, its original intent. No waiver of any provision or condition herein shall be valid unless in writing and signed by you and an authorized representative of Licensor provided that no waiver of any breach of any provisions of this Agreement will constitute a waiver of any prior, concurrent or subsequent breach. Licensor’s failure to insist upon or enforce strict performance of any provision of this Agreement or any right shall not be construed as a waiver of any such provision or right.

9.4. Contact Information. Should you have any questions concerning this Agreement contact us at legal@elcomsoft.com.

© 2002-2006 ElcomSoft Co. Ltd. All rights reserved. The Product, including the Software and any accompanying Documentation, are copyrighted and protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties.

This product uses OpenSSL cryptographic software.


15.Technical Support

 Top Previous

For Technical Support please contact us by E-Mail at support@elcomsoft.com.

In the subject of your Mail, please write:

"EDPR x.y",

where x.y is the version number, followed by problem, suggestion or whatever else.

You can also contact our Customer Service Department at info@elcomsoft.com and sales department at sales@elcomsoft.com.

Our Fax numbers:

+1 866 448-2703 (US and Canada, toll-free)
+44 870 831-2983 (UK)
+49 692 557-7249 (Germany)

Please write in English language only.